Subject: bug#34657: 26.1; Some erc hook names lack the expected suffix

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 01 Sep 2020 16:31:07 +0200

Stefan Kangas <[email-masked]> writes:

>>> Hopefully.  If not, I guess I'll raise a separate bug for the fact
>>> that renaming defcustoms is problematic, and maybe just add a code
>>> comment referencing that to erc.el.
>>
>> This was over a year ago, and nobody piped up, so I'm guessing that
>> there isn't a way for defcustom to deal with renamed variables?
>>
>> In which case I agree with Eli -- it just isn't worth doing the
>> renaming.
>
> Shouldn't we just fix defcustom?

>From :type 'hook to 'function or something?  Yup.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no